<?
if ($level == 0) {
  header('Location: /index.php');
  exit;
}

if (isset($_GET['ShopNickOk']))
{
$cena=10;

$oldnick = $sql->esc($user['login']);

$nick = $sql->esc($_POST['login']);
if ($sql->selectCount("SELECT COUNT(*) FROM `users` WHERE `login` = '".$sql->esc($_POST['login'])."'") != 0 ){
	$err[] = 'Ник "'.stripcslashes(htmlspecialchars($_POST['login'])).'" уже зарегистрирован';
}
if(!preg_match("#^([A-z0-9\-\_\ ])+$#ui", $_POST['login'])){$err[] ='В нике присутствуют запрещенные символы';}
if (preg_match("#^([A-z])+$#ui", $_POST['login']) && preg_match("#[а-я]+#ui", $_POST['login'])){$err[] ='Разрешается использовать символы только английского алфавита';}
if (preg_match("#(^\ )|(\ $)#ui", $_POST['login'])){$err[] ='Запрещено использовать пробел в начале и конце ника';}
if (strlen2($nick)<3){$err[] ='Короткий ник';}
if (strlen2($nick)>22){$err[] ='Длина ника превышает 22 символа';}
if($user['wmr']<$cena){$err[] ='Не хватает денег, необходимо '.$cena.' у вас '.$user['wmr'].'';}

if(!isset($err)){
$msg = 'Оплата услуги смены ника';
$sql -> insert("INSERT INTO `billing_log` (`wmid`, `purse`, `time`, `type`, `id_user`, `coins`, `msg`) VALUES ('0', '0', '$time', 'service', '$user[id]', '-10', '$msg')");
$sql -> insert("INSERT INTO `nick_histore` (`id_user`, `id_kont`, `nick`, `nick_new`,`time`) values('$user[id]', '$user[id]', '". $oldnick ."', '". $nick ."', '$time')"); 
$sql -> update("UPDATE `users` SET `login` = '$nick' WHERE `id` = '$user[id]' LIMIT 1");
$sql -> update("UPDATE `users` SET `my_links` = '$nick' WHERE `id` = '$user[id]' LIMIT 1");
$sql -> update("UPDATE `users` SET `wmr` = '".($user['wmr']-$cena)."' WHERE `id` = '$user[id]' LIMIT 1");
$_SESSION['message'] ='успешно';
header('Location: /?func=user.nick.smena');
exit;
}
}
$system['title'] = __('Смена Ника') ;
require SYS . 'header.php';

?>
<div class='nav1'>
<form class='foot' action='/?func=user.nick.smena&amp;ShopNickOk' method='POST'>
Стоимость смены ника составляет в сумме 10 wmr<br /> 
Ведите Новый Ник:<br />
<input type='text' name='login' value='<?= $user['login']?>' /><br />
<button type="submit" class="btn">Изменить</button>
</form>
</div>